0

I'm trying to run wmv files, and tryed some advices from here, but without any success. I have vlc and ubuntu-restricted-extras. I also did a purge, autoremove and re-installthem.

This is what I get.

~/Downloads$ vlc test_wmv.wmv 
VLC media player 2.1.6 Rincewind (revision 2.1.6-0-gea01d28)
[0x1260058] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
"sni-qt/11611" WARN  08:10:57.390 void StatusNotifierItemFactory::connectToSnw() Invalid interface to SNW_SERVICE 
libva info: VA-API version 0.35.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
[0x7f24d0c5da78] vaapi generic error: Failed to initialize the VAAPI device
libva info: VA-API version 0.35.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
[0x7f24d0c6aeb8] vaapi generic error: Failed to initialize the VAAPI device
libva info: VA-API version 0.35.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
[0x7f24c8000958] vaapi generic error: Failed to initialize the VAAPI device
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
[0x7f24c0001248] main vout display error: Failed to resize display
[0x7f24d80009b8] main input error: ES_OUT_SET_(GROUP_)PCR  is called too late (pts_delay increased to 300 ms)
[0x7f24d80009b8] main input error: ES_OUT_RESET_PCR called
[wmv3 @ 0x7f24d0c58ee0] warning: first frame is no keyframe
Segmentation fault (core dumped)
1

A quick look at the VLC wiki reveals the following:

On modern Ubuntu distributions, first install the hardware support (packages i965-va-driver, libva-intel-vaapi-driver and vainfo) and then activate GPU hardware acceleration in Preferences -> Input&Codecs.

Install terminal command: sudo apt-get install i965-va-driver libva-intel-vaapi-driver vainfo

The following video codecs are supported: MPEG-1, MPEG-2, MPEG-4 Visual, WMV3, VC-1 and H.264 (MPEG-4 AVC).

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.